Loading...
Searching...
No Matches
casacore::StatsData< AccumType > Struct Template Reference

`#include <StatisticsTypes.h>`

## Public Attributes

Bool | masked
std::shared_ptr< AccumType > | max
LocationType | maxpos
AccumType | mean
std::shared_ptr< AccumType > | median
std::shared_ptr< AccumType > | medAbsDevMed
std::shared_ptr< AccumType > | min
LocationType | minpos
Double | npts
AccumType | nvariance
AccumType | rms
AccumType | stddev
AccumType | sum
AccumType | sumsq
AccumType | sumweights
AccumType | variance
Bool | weighted

## Detailed Description

template<class AccumType>
struct casacore::StatsData< AccumType >

Definition at line 55 of file StatisticsTypes.h.

## Member Data Documentation

## masked

template<class AccumType>

Bool casacore::StatsData< AccumType >::masked

Definition at line 56 of file StatisticsTypes.h.

## max

template<class AccumType>

std::shared_ptr<AccumType> casacore::StatsData< AccumType >::max

Definition at line 57 of file StatisticsTypes.h.

## maxpos

template<class AccumType>

LocationType casacore::StatsData< AccumType >::maxpos

Definition at line 58 of file StatisticsTypes.h.

## mean

template<class AccumType>

AccumType casacore::StatsData< AccumType >::mean

Definition at line 59 of file StatisticsTypes.h.

## medAbsDevMed

template<class AccumType>

std::shared_ptr<AccumType> casacore::StatsData< AccumType >::medAbsDevMed

Definition at line 61 of file StatisticsTypes.h.

## median

template<class AccumType>

std::shared_ptr<AccumType> casacore::StatsData< AccumType >::median

Definition at line 60 of file StatisticsTypes.h.

## min

template<class AccumType>

std::shared_ptr<AccumType> casacore::StatsData< AccumType >::min

Definition at line 62 of file StatisticsTypes.h.

## minpos

template<class AccumType>

LocationType casacore::StatsData< AccumType >::minpos

Definition at line 63 of file StatisticsTypes.h.

## npts

template<class AccumType>

Double casacore::StatsData< AccumType >::npts

Definition at line 64 of file StatisticsTypes.h.

## nvariance

template<class AccumType>

AccumType casacore::StatsData< AccumType >::nvariance

Definition at line 65 of file StatisticsTypes.h.

## rms

template<class AccumType>

AccumType casacore::StatsData< AccumType >::rms

Definition at line 66 of file StatisticsTypes.h.

## stddev

template<class AccumType>

AccumType casacore::StatsData< AccumType >::stddev

Definition at line 67 of file StatisticsTypes.h.

## sum

template<class AccumType>

AccumType casacore::StatsData< AccumType >::sum

Definition at line 68 of file StatisticsTypes.h.

## sumsq

template<class AccumType>

AccumType casacore::StatsData< AccumType >::sumsq

Definition at line 69 of file StatisticsTypes.h.

## sumweights

template<class AccumType>

AccumType casacore::StatsData< AccumType >::sumweights

Definition at line 70 of file StatisticsTypes.h.

## variance

template<class AccumType>

AccumType casacore::StatsData< AccumType >::variance

Definition at line 71 of file StatisticsTypes.h.

## weighted

template<class AccumType>

Bool casacore::StatsData< AccumType >::weighted

Definition at line 72 of file StatisticsTypes.h.

The documentation for this struct was generated from the following file:

- scimath/StatsFramework/StatisticsTypes.h